#include <iostream>
#include <bits/stdc++.h>
#define MAXN 1000000007
using namespace std;

int main()
{
    vector<char>kar;
    long long zbir=1,g=0;
    int n,j=0;
    string s;
    cin>>n>>s;

    for(int i=0;i<n;i++)
        kar.push_back(s[i]);
    if(n==26)
        cout<<0;
    else
    {

        for(char i='A';i<='Z';i++)
        {
            while(kar[j]!=i)
            j++;
            while(kar[j]==i)
            {
                g++;
                j++;
            }
            if(g!=0)
            {
                zbir*=g;
                zbir=zbir%MAXN;
            }
            else j++;
            g=0;
        }
    }
    cout <<zbir<< endl;
    return 0;
}